Subject: [pm-dir] ITU-T using the RFC 6390 Template: [T13Q17] [new Q.7/13]: Y.dpifr, § 8 Performance Indicators

From: Benoit Claise <[email-masked]>
Date: Mon, 18 Feb 2013 18:30:07 +0100

FYI, the ITU-T (actually SG13 Q 17) planning on using the RFC 6390 template.
See in there.

    We've agreed that any performance indicator definition shall follow
    a *template* style:
    => IETF *RFC 6390*, § 5.4.4
    (_http://tools.ietf.org/html/rfc6390#page-14_); or e.g.

Regards, Benoit

-------- Original Message --------
Subject: 	[T13Q17] [new Q.7/13]: Y.dpifr, § 8 Performance Indicators
Date: 	Mon, 18 Feb 2013 11:52:18 +0100
From: 	Schwarz, Albrecht (Albrecht) <[email-masked]>
To: 	[email-masked] <[email-masked]>

This discussion is associated to C-6, 7 & 37 and the attribution of a 
performance indicator (PI) as KPI or non-KPI:
*8.**2.1 **Overview**--Performance **i**ndicators for DPI Nodes *
/{Editor's note (2012-06 meeting): there are two open questions:/
/Q1: what are the criteria for classifying a performance indicator as 
KPI or non-KPI?/
/Q2: is there any good definition for KPI which may be reused in Y.dpifr?/
/Contributions are solicited.}/
We've agreed that any performance indicator definition shall follow a 
*template* style:
=> IETF *RFC 6390*, § 5.4.4 
(_http://tools.ietf.org/html/rfc6390#page-14_); or e.g.
=> *3GPP 32.410*, § 5 (_http://www.3gpp.org/ftp/Specs/html-info/32410.htm_)
To Editor's note Q2: the 3GPP 32.410 KPI usage might be used as baseline 
for a KPI definition in Y.dpifr.
Something like:
KPIs: are primary metrics to evaluate process performance as indicators 
of the core function of the network element. A KPI in scope of this 
Recommendation would therefore characterize the performance of the /DPI 
packet processing path/ (also known as DPI engine).
NOTE -- The notion of /performance indicator/ (PI) is synonym to 
/performance metric/ in this Recommendation.
To Editor's note Q1: above definition proposal provides an inherent, 
rough criteria for classification.
We got arround 25 PI proposals so far in Y.dpifr, which may be 
categorized as:
PI:
|-KPI:
|  |- e.g. § 8.2.1.1
|-non-KPI: e.g.
   |- Protocol-specific PIs (such as TCP relates PIs)
   |- Energy-related PIs (because energy consumption is implementation 
specific!)
   |- Non-DPI engine related PIs (such as associated to DPI-PIB)
   |- ...
It's clear that every PI might be a "KPI" in a particular context and 
instantiation of a DPI node (-> § 6.1/Y.dpifr), - and that the 
differentiation between KPI and non-KPI is always debatable ("and should 
be actually a minor aspect in Y.dpifr"). But when we want to use the 
term KPI in Y.dpifr, then we need to describe the difference to non-KPI ...
Comments?
Albrecht

---

From: Richard Barnes <[email-masked]>
Date: Mon, 18 Feb 2013 12:35:08 -0500

Just for context (due to partial acronym collision), this would be for
setting metrics for Deep Packet Inspection nodes?  That is, the nodes
discussed in Y.2770?
<http://www.itu.int/ITU-T/workprog/wp_item.aspx?isn=7082>

Thanks,
--Richard

On Mon, Feb 18, 2013 at 12:30 PM, Benoit Claise <[email-masked]> wrote:

> We’ve agreed that any performance indicator definition shall follow a *
> template* style:
> => IETF *RFC 6390*, § 5.4.4 (*http://tools.ietf.org/html/rfc6390#page-14*<http://tools.ietf.org/html/rfc6390#page-14>);
> or e.g.
>
> Regards, Benoit
>
> -------- Original Message --------  Subject: [T13Q17] [new Q.7/13]:
> Y.dpifr, § 8 Performance Indicators  Date: Mon, 18 Feb 2013 11:52:18 +0100  From:
> Schwarz, Albrecht (Albrecht) <[email-masked]><[email-masked]>  To:
> [email-masked] <[email-masked]><[email-masked]>
>
>  *8.**2.1   **Overview** –Performance **i**ndicators for DPI Nodes *
> *{Editor’s note (2012-06 meeting): there are two open questions:*
> *Q1: what are the criteria for classifying a performance indicator as KPI
> or non-KPI?*
> *Q2: is there any good definition for KPI which may be reused in Y.dpifr?*
> *Contributions are solicited.}*
>
> We’ve agreed that any performance indicator definition shall follow a *
> template* style:
> => IETF *RFC 6390*, § 5.4.4 (*http://tools.ietf.org/html/rfc6390#page-14*<http://tools.ietf.org/html/rfc6390#page-14>);
> or e.g.
> => *3GPP 32.410*, § 5 (*http://www.3gpp.org/ftp/Specs/html-info/32410.htm*<http://www.3gpp.org/ftp/Specs/html-info/32410.htm>
> )
>
> To Editor’s note Q2: the 3GPP 32.410 KPI usage might be used as baseline
> KPIs: are primary metrics to evaluate process performance as indicators of
> the core function of the network element. A KPI in scope of this
> Recommendation would therefore characterize the performance of the *DPI
> packet processing path* (also known as DPI engine).
> NOTE – The notion of *performance indicator* (PI) is synonym to *performance
> metric* in this Recommendation.
>
> To Editor’s note Q1: above definition proposal provides an inherent, rough
> criteria for classification.
> We got arround 25 PI proposals so far in Y.dpifr, which may be categorized
> as:
> PI:
> |-KPI:
> |  |- e.g. § 8.2.1.1
> |-non-KPI: e.g.
>    |- …
> It’s clear that every PI might be a “KPI” in a particular context and
> differentiation between KPI and non-KPI is always debatable (“and should be
> actually a minor aspect in Y.dpifr”). But when we want to use the term KPI
> in Y.dpifr, then we need to describe the difference to non-KPI …
> Comments?
> Albrecht
>
>
>
>
>
>
>

---

From: Benoit Claise <[email-masked]>
Date: Tue, 19 Feb 2013 12:32:34 +0100

Richard,

> <http://www.itu.int/ITU-T/workprog/wp_item.aspx?isn=7082>
Either this one (Y.DPIreq) or the framework Y.DPIfr
Note: I was involved in this in the past (not any longer) and I pushed 
for those performance metrics to be in an appendix.

Regards, Benoit
>
> Thanks,
> --Richard
>
>
> On Mon, Feb 18, 2013 at 12:30 PM, Benoit Claise <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>         We’ve agreed that any performance indicator definition shall
>         follow a *template* style:
>     <mailto:[email-masked]>
>     To: 	[email-masked] <mailto:[email-masked]>
>     <[email-masked]> <mailto:[email-masked]>
>
>
>
>     This discussion is associated to C-6, 7 & 37 and the attribution
>     of a performance indicator (PI) as KPI or non-KPI:
>     *8.**2.1 **Overview**–Performance **i**ndicators for DPI Nodes *
>     /{Editor’s note (2012-06 meeting): there are two open questions:/
>     /Q1: what are the criteria for classifying a performance indicator
>     as KPI or non-KPI?/
>     We’ve agreed that any performance indicator definition shall
>     follow a *template* style:
>     => *3GPP 32.410*, § 5
>     (_http://www.3gpp.org/ftp/Specs/html-info/32410.htm_)
>     To Editor’s note Q2: the 3GPP 32.410 KPI usage might be used as
>     baseline for a KPI definition in Y.dpifr.
>     Something like:
>     KPIs: are primary metrics to evaluate process performance as
>     indicators of the core function of the network element. A KPI in
>     scope of this Recommendation would therefore characterize the
>     performance of the /DPI packet processing path/ (also known as DPI
>     engine).
>     NOTE – The notion of /performance indicator/ (PI) is synonym to
>     To Editor’s note Q1: above definition proposal provides an
>     inherent, rough criteria for classification.
>       |- Energy-related PIs (because energy consumption is
>     implementation specific!)
>     It’s clear that every PI might be a “KPI” in a particular context
>     and instantiation of a DPI node (-> § 6.1/Y.dpifr), - and that the
>     differentiation between KPI and non-KPI is always debatable (“and
>     should be actually a minor aspect in Y.dpifr”). But when we want
>     to use the term KPI in Y.dpifr, then we need to describe the
>     difference to non-KPI …
>     Comments?
>     Albrecht
>
>
>